struct TIndent
{
	char	mask[MAX_REG_LEN], relative[MAX_REG_LEN], immChar;
	int		indent[2], start, BracketsMode, bracketLink;
};

struct TBracket
{
	char	open[MAX_REG_LEN], close[MAX_REG_LEN];
};

struct TComment
{
	char	mask[MAX_REG_LEN];
};

struct TDefine
{
	TDefine (const char *, const char *);
	char	name[MAX_REG_LEN], value[MAX_STR_LEN];
};

TDefine::TDefine (const char *aName, const char *aValue)
{
	lstrcpy (name, aName);
	lstrcpy (value, aValue);
}

enum TJumpType
{
	jtNone,
	jtFirst,
	jtMenu,
	jtSmart
};
enum TSaveType
{
	saNone,
	saAll,
	saCurrent
};
enum TCDType
{
	cdNone,
	cdFile,
	cdBase
};
